"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var directive_1 = require("../decorators/directive");
var base_directive_1 = require("./base.directive");
var FullSelectDirective = /** @class */ (function (_super) {
    tslib_1.__extends(FullSelectDirective, _super);
    function FullSelectDirective() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FullSelectDirective_1 = FullSelectDirective;
    FullSelectDirective.prototype.create = function (scope, instanceElement, instanceAttributes, controller, transclude) {
        instanceElement.on("focus", function () { return instanceElement.select(); });
    };
    FullSelectDirective.factory = function () {
        return new FullSelectDirective_1();
    };
    FullSelectDirective = FullSelectDirective_1 = tslib_1.__decorate([
        directive_1.Directive({
            name: "fullSelect",
            restrict: "A"
        })
    ], FullSelectDirective);
    return FullSelectDirective;
    var FullSelectDirective_1;
}(base_directive_1.DirectiveBase));
exports.FullSelectDirective = FullSelectDirective;
